ferm (2.5.1-4) unstable; urgency=medium

  * QA upload.
  * d/control: Remove outdated debconf version constraint (Closes: #1096115)

 -- Gioele Barabucci <gioele@svario.it>  Fri, 21 Mar 2025 20:04:26 +0100

ferm (2.5.1-3) unstable; urgency=medium

  * QA upload.

  [ Helge Kreutzmann ]
  * Add Romanian Debconf translation. Thanks Remus-Gabriel Chelu. 
    (Closes: #1031885)

  [ Dr. Tobias Quathamer ]
  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated vcs in d/control to Salsa.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 19:08:43 +0100

ferm (2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package with Alexander's consent. Thanks for maintaining it.
  * Sourceful upload performs /usr-move of systemd unit (DEP17).
  * Drop obsolete lsb-base dependency.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 May 2024 13:23:00 +0200

ferm (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:03:46 +0200

ferm (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Backport from master to resolve @resolve (Closes: #955613, #958105)

 -- Alexander Wirt <formorer@debian.org>  Mon, 28 Dec 2020 17:08:19 +0100

ferm (2.5-1) unstable; urgency=medium

  * Add support for .xz files
  * Convert to debsrc 3.0
  * Fix watch expression
  * New upstream version 2.5
    - support for iptables in /usr/sbin (Closes: #912536)
    - use legacy tools if available (Closes: #929416)
  * bump standards version
  * Add ${misc:Pre-Depends} to controlfile
  * Escape $ in HERE doc (Closes: #774927)
  * Move to debhelper-compat

 -- Alexander Wirt <formorer@debian.org>  Sat, 04 Jan 2020 11:58:53 +0100

ferm (2.4-1) unstable; urgency=medium

  * [2bd37ee] New upstream version 2.4
  * [f280aca] Rework example firewall (Closes: #701200, #770946)
  * [9736ebd] Disable cache by default (Closes: #849760)

 -- Alexander Wirt <alexander.wirt@credativ.de>  Tue, 11 Jul 2017 14:52:19 +0200

ferm (2.3-2) unstable; urgency=medium

  * [3e49919] Start ferm as before network and stop as late as possible
    (Closes: #824188)

 -- Alexander Wirt <formorer@debian.org>  Sun, 12 Jun 2016 19:48:04 +0200

ferm (2.3-1) unstable; urgency=medium

  * Verify upstream gpg sig on tarballs
  * Add gpg sig support to watchfile
  * Imported Upstream version 2.3

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Apr 2016 12:07:50 +0200

ferm (2.2-5) unstable; urgency=medium

  * Reimport changes from 2.2-3.2
    Closes: #796611

 -- Alexander Wirt <formorer@debian.org>  Sat, 23 Apr 2016 07:54:53 +0200

ferm (2.2-4) unstable; urgency=medium

  * [ec12e74] Don't fail if /var/cache/ferm isn't writable (Closes: #821895)

 -- Alexander Wirt <formorer@debian.org>  Wed, 20 Apr 2016 11:31:54 +0200

ferm (2.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix breakage introduced by new systemd unit.
    - Do not stop firewall on shutdown.
    - Start after /var/cache is mounted and after network.

 -- Felipe Sateler <fsateler@debian.org>  Tue, 29 Mar 2016 07:54:15 -0300

ferm (2.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add native systemd unit, to break ordering cycle. (Closes: #796611)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 28 Mar 2016 20:36:07 -0300

ferm (2.2-3) unstable; urgency=medium

  * [54e6ad3] Honor dpkg-statoverride for /etc&/ferm (Closes: #752686)
  * [93d9656] Move manpage installation to debian/ferm.manpages
  * [40ff883] Remove brace expansion to make lintian happy
  * [2799fe7] Move to dh9
  * [22429c9] Add some docs
  * [6db22f7] Override some broken make targets
  * [444b07c] wrap-and-sort

 -- Alexander Wirt <formorer@debian.org>  Sat, 25 Oct 2014 23:51:57 +0200

ferm (2.2-2) unstable; urgency=medium

  * [139cabd] Do not unconditionally overwrite ENABLED= in /etc/default/ferm.
    Thanks to Christian Kastner for the patch (Closes: 714796)

 -- Alexander Wirt <formorer@debian.org>  Tue, 15 Apr 2014 23:53:56 +0200

ferm (2.2-1) unstable; urgency=low

  * [2df2b7b] Fix watchfile
  * [0e32933] Imported Upstream version 2.2

 -- Alexander Wirt <formorer@debian.org>  Mon, 01 Jul 2013 21:38:49 +0200

ferm (2.1.1-2) experimental; urgency=low

  [ Salvatore Bonaccorso ]
  * Fix "ferm: modifies conffiles (policy 10.7.3): /etc/default/ferm"
    (Closes: #688377)
    - Don't install ferm.default as conffile in /etc/default
    - Read /etc/default/ferm in ferm.config.
      If /etc/default/ferm exists and ENABLED= is present then store the
      value of ENABLED into debconf db.
    - Create /etc/default/ferm in postinst.
      Create /etc/default/ferm if it does not yet exists in postinst.
      Furthermore if the admin deleted or commented the ENABLED then (re-)add
      it to the configuration file in postinst.
    - Remove configuration file on purge in postrm script

 -- Alexander Wirt <formorer@debian.org>  Thu, 01 Nov 2012 19:28:58 +0100

ferm (2.1.1-1) experimental; urgency=low

  * [c95a63e] Add vcs fields to controlfile
  * [60e8141] Imported Upstream version 2.1.1
              - Add support for TPROXY target
                (Closes: #682728)

 -- Alexander Wirt <formorer@debian.org>  Sun, 09 Sep 2012 16:46:45 +0200

ferm (2.1-2) unstable; urgency=low

  [ great debian l10n teams ]
  * Fix pending l10n issues. Debconf translations:
  * Danish (Joe Hansen).  Closes: #626637
  * Polish (Michał Kułach).  Closes: #660532
  * Italian (Beatrice Torracca).  Closes: #660885
  * Slovak (Ivan Masár).  Closes: #661139
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #661356

  [ Alexander Wirt ]
  * bump standards version 

 -- Alexander Wirt <formorer@debian.org>  Fri, 09 Mar 2012 09:03:36 +0100

ferm (2.1-1) unstable; urgency=low

  * New upstream version
    - fix variable expansion in subchain names (Closes: #577709)
    - added @ipfilter function to mix ipv4 and ipv6 addresses
      (Closes: #591329)
    - @if @eq($DOMAIN, ip6) works now - yai (Closes: #591230)
    - Map ICMP to ICMP6 in REJECT's reject-with
      (Closes: #591229)
    - Fix docs for $TRUSTED_HOSTS (Closes: #577701)
  * Bump standards version (no changes)
  * update danish debconf translation (Closes: #626637)
    Thanks to Joe Dalton <joedalton2@yahoo.dk>

 -- Alexander Wirt <formorer@debian.org>  Mon, 18 Jul 2011 07:37:15 +0200

ferm (2.0.9-1) unstable; urgency=low

  * New upstream version
    - allow truncing of strings with substr (Closes: #550854)
    - mod mark is now in manpage (Closes: #578665)
  * Don't stop firewall on shutdown (Closes: #591491)

 -- Alexander Wirt <formorer@debian.org>  Sat, 26 Feb 2011 10:51:19 +0100

ferm (2.0.8-1) unstable; urgency=low

  * New upstream release 
    - Support eq,ne,not (Closes: #407563, #559902)
    - resolve() now support different types like AAAA or MX (Closes: #544248)
    - Fix docs for frag (Closes: #560000)
  * Bump standards version (no changes)
  * Explicitly use 1.0 format

 -- Alexander Wirt <formorer@debian.org>  Thu, 04 Nov 2010 11:52:01 +0100

ferm (2.0.7-1) unstable; urgency=low

  * New upstream version
    - Fix post & flush hooks 
      (Closes: #548579, #563779)
    - Fix negiotation for owner module
      (Closes: #553423)
    - Fix "intrapositioned negation is deprecated"
      (Closes: #544535)
  * Remove Max as maintainer. Thanks for your previous work Max!
  * Add russian debconf translation (Closes: #543185). Thanks Yuri Kozlov!
  * Add japanese debconf translation (Closes: #554516). Thanks Hideki Yamane! 
  * Bump standards version (No changes)
  * Update initlevels (Closes: #549295)

 -- Alexander Wirt <formorer@debian.org>  Mon, 15 Feb 2010 10:36:59 +0100

ferm (2.0.6-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - support negation in mark/connmark/set (Closes: #521827, #522359)
    - added automatic variable $FILENAME (Closes: #525452)
    - create a new stack frame for @subchain (Closes: #525450)
    - doc: added real-world example for @if (Closes: #525458)
    - enable @include to run a program (Closes: #525678)
  * updated upstream home page (Closes: #525671)
  * invalidate cache after kernel upgrade (Closes: #528654)
  * improve the "ENABLED" .default variable description (Closes: #525438)
  * check $CONFIG after sourcing the .default file (Closes: #525440)
  * fix bashisms in init script, and run with /bin/sh
  * print a warning when "/etc/init.d/ferm start" fails and the module
    ip_tables is not loaded (Closes: #525444)

  [ Alexander Wirt ]
  * Recommend libnet-dns-perl (Closes: #528500) 
  * Bump standards version (No changes) 

 -- Alexander Wirt <formorer@debian.org>  Sun, 19 Jul 2009 15:10:57 +0200

ferm (2.0.5-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - flushing bug fixed (Closes: #511397)
    - ipt_recent --remove supported (Closes: #511661)
    - ignore dpkg's backup/temporary files (Closes: #510418)
  * fixed typo in default configuration (Closes: #513099)

 -- Alexander Wirt <formorer@debian.org>  Mon, 02 Mar 2009 21:35:34 +0100

ferm (2.0.4-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release

  [ Alexander Wirt ]
  * Add ${misc:Depends} to binary package  

 -- Alexander Wirt <formorer@debian.org>  Fri, 12 Dec 2008 09:02:48 +0100

ferm (2.0.3-2) unstable; urgency=low

  [ Max Kellermann ]
  * added Finnish po translation (Closes: #501939)

 -- Alexander Wirt <formorer@debian.org>  Wed, 15 Oct 2008 08:46:17 +0200

ferm (2.0.3-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - fix subchain in include (Closes: #499515)

 -- Alexander Wirt <formorer@debian.org>  Wed, 01 Oct 2008 13:03:48 +0200

ferm (2.0.2-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release

 -- Alexander Wirt <formorer@debian.org>  Sat, 26 Jul 2008 22:48:13 +0200

ferm (2.0.1-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - don't include hidden files (Closes: #489271)
  * now that "fast" mode is default in upstream, specify --slow in the
    init script when fast mode is explicitly turned off by the admin
  * use "--shell" in "slow" mode, to prevent iptables warnings from being
    written to the cache
  * added the actual copyright statement to debian/copyright
  * updated debian/watch, change to 2.0 download directory
  * added Swedish po translation (Closes: #492058)

  [ Alexander Wirt ]
  * Bump standards version (No changes) 

 -- Alexander Wirt <formorer@debian.org>  Sat, 26 Jul 2008 11:41:54 +0200

ferm (1.3.4-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release

 -- Alexander Wirt <formorer@debian.org>  Thu, 12 Jun 2008 11:27:38 +0200

ferm (1.3.3-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
  * check the time stamp of all files in /etc/ferm for cache validation

 -- Alexander Wirt <formorer@debian.org>  Wed, 23 Jan 2008 12:11:18 +0100

ferm (1.3.2-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - handle array after DNAT/to-destination correctly (Closes: #456994)
  * don't shut down firewall during upgrade (Closes: #456187)

 -- Alexander Wirt <formorer@debian.org>  Wed, 19 Dec 2007 10:45:36 +0100

ferm (1.3.1-1) unstable; urgency=low

  * new upstream release
    - require IO::Handle, this fixes the interactive mode
  * use Build-Depends-Indep to refer to po-debconf

 -- Max Kellermann <max@duempel.org>  Sun,  9 Dec 2007 00:39:45 +0100

ferm (1.3-1) unstable; urgency=low

  * new upstream release
    - implemented conditionals with @if/@else (Closes: #419332)
    - added function @resolve which resolves host names to IPv4 addresses
      (Closes: #436742)
  * start init script before other network services (Closes: #446930)
  * fixed the URL in debian/watch (Closes: #450308)

 -- Max Kellermann <max@duempel.org>  Thu,  6 Dec 2007 23:02:54 +0100

ferm (1.2.5-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - make --flush do something in fast mode (Closes: #434820)
  * fix typo in README.Debian (Closes: #439180)

  [ Alexander Wirt ]
  * Fix emacs shell tag (Closes: #439118)

 -- Alexander Wirt <formorer@debian.org>  Sun, 14 Oct 2007 23:37:38 +0200

ferm (1.2.4-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - implemented hooks (Closes: #418792)
  * add Dutch po translation (Closes: #423072)

  [ Alexander Wirt ]
  * Add debian/compat file 

 -- Alexander Wirt <formorer@debian.org>  Wed, 20 Jun 2007 20:59:16 +0200

ferm (1.2.3-3) unstable; urgency=low

  * Document OPTIONS= in default file 

 -- Alexander Wirt <formorer@debian.org>  Sun, 15 Apr 2007 02:19:17 +0200

ferm (1.2.3-2) unstable; urgency=low

  * Update spanish debconf translation (Closes: #412178)
  * create directory /var/cache/ferm
  * Add portuguese translation (Closes: #415630)

 -- Alexander Wirt <formorer@debian.org>  Sun, 15 Apr 2007 01:59:41 +0200

ferm (1.2.3-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - don't copy module references to subchain (Closes: #407353)
  * don't build with cdbs anymore
  * enable ferm's fast mode by default
  * depend on iptables >= 1.3, because older versions of iptables-restore
    have known bugs triggered by ferm's fast mode

  [ Alexander Wirt ]
  * Add spanish translation (Closes: #411001)
  * Update README.Debian

 -- Alexander Wirt <formorer@debian.org>  Thu, 15 Feb 2007 09:33:54 +0100

ferm (1.2.2-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - don't make "mod multiport" reset variables (Closes: #398867)
    - mention deprecation of the "automod" feature in the manpage
      (Closes: #397517)
  * removed duplicate "Required-Stop" from init script
  * removed "syslog" from "Required-Start"

  [ Alexander Wirt ]
  * Add french po translation (Closes: #389909)
  * Add czech po translation (Closes: #391476)
  
 -- Alexander Wirt <formorer@debian.org>  Sat, 18 Nov 2006 00:33:04 +0100

ferm (1.2.1-1) unstable; urgency=low

  [ Max Kellermann ]
  * New upstream version
    - updated documentation, support target "ECN" (Closes: #207502)
  * rephrase debconf prompt in an interface neutral way (Closes: #388248)

 -- Alexander Wirt <formorer@debian.org>  Fri, 29 Sep 2006 21:48:33 +0200

ferm (1.2-1) unstable; urgency=low

  * New maintainers
  * New upstream version
   - generate correct uid-owner rules (Closes: #308910)
   - don't break on comma separated lists with quotes (Closes: #241886)
   - allows inclusion of files (Closes: #207505)
   - support multiport iptables modules (Closes: #252034)
   - warn if using undefined variables (Closes: #271965)
   - adds support for backticks (Closes: #117730)
  * Add startup script (Closes: #110928)
  * Remove dependencies on ipchains and ipfwadm (Closes: #382662)

 -- Alexander Wirt <formorer@debian.org>  Wed, 13 Sep 2006 16:47:19 +0200

ferm (1.1.1+1.2beta2-2) unstable; urgency=low

  * build-depend on debhelper 5
  * added author Max Kellermann to debian/copyright
  * New maintainer(s) 

 -- Alexander Wirt <formorer@debian.org>  Wed, 13 Sep 2006 16:41:32 +0200

ferm (1.1.1+1.2beta2-1) unstable; urgency=low

  * no deprecated syntax in configuration file
  * mention /etc/default/ferm in debconf menu
  * use ferm --flush for rc stop
  * use ferm --shell for caching in fast mode
  * clear cache on remove
  * added README.Debian

 -- Max Kellermann <max@duempel.org>  Sat,  9 Sep 2006 23:44:20 +0200

ferm (1.1.1+1.2beta1-1) unstable; urgency=low

  * store debconf variable "ferm/enable" in /etc/default/ferm

 -- Max Kellermann <max@duempel.org>  Tue, 29 Aug 2006 12:15:08 +0200

ferm (1.1+1.2beta1-1) unstable; urgency=low

  * new upstream version
  * bumped Standards-Version to 3.7.2
  * changed Build-Depends-Indep to Build-Depends
  * added hack to implement the "stop" command

 -- Max Kellermann <max@duempel.org>  Tue, 29 Aug 2006 00:08:54 +0200

ferm (1.1+svn20060320-1) unstable; urgency=low

  * new upstream snapshot from subversion
  * don't import /etc/firewall.conf in preinst
  * updated default configuration
  * install import-ferm

 -- Max Kellermann <max@duempel.org>  Mon, 20 Mar 2006 13:53:59 +0100

ferm (1.1+svn20050606-1) unstable; urgency=low

  * new upstream snapshot from subversion
  * added /etc/default/ferm
  * support the --fast option, disabled by default
  * cache the ferm output

 -- Max Kellermann <max@duempel.org>  Mon,  6 Jun 2005 23:38:30 +0200

ferm (1.1+svn20050313-1) unstable; urgency=low

  * new upstream snapshot from subversion
  * changed maintainer
  * new standards-version
  * using cdbs
  * depend on perl >= 5.6
  * provide a default configuration
  * added debconf menu which enables or disables ferm on bootup
  * conflict against (non-public) ferm-rc package; import
    /etc/firewall.conf from this package
  * imported description from upstream

 -- Max Kellermann <max@duempel.org>  Sun, 13 Mar 2005 21:22:30 +0100

ferm (1.1-1) unstable; urgency=low

  * New upstream release (Closes: #194170). Beware, there are syntax
    changes.

 -- Tommi Virtanen <tv@debian.org>  Wed, 16 Jul 2003 19:12:02 +0300

ferm (1.0pl8-3) unstable; urgency=low

  * Allow use of lists when setting variables (Closes: #143606).
  * Generate correct output when combining log and other targets with
    ipchains (Closes: #144065).
  * New standards version.
  * No longer create compatibility symlinks in /usr/doc.
  * Switch from Build-Depends to Build-Depends-Indep, this is an arch all
    package.

 -- Tommi Virtanen <tv@debian.org>  Sat, 19 Apr 2003 22:06:06 +0300

ferm (1.0pl8-2) unstable; urgency=low

  * Add missing whitespace after --tos 0x00.
    (Closes: #111855).

 -- Tommi Virtanen <tv@debian.org>  Fri, 12 Oct 2001 22:44:12 +0300

ferm (1.0pl8-1) unstable; urgency=low

  * New upstream version. Has improvements in manpage (Closes: #98519),
    can autodetect needed modules (Closes: #100058), and has a NOP action
    for accounting (Closes: #100056).

 -- Tommi Virtanen <tv@debian.org>  Thu, 19 Jul 2001 22:29:00 +0300

ferm (1.0pl6-2) unstable; urgency=low

  * Fixed cut-and-pasto, ferm is now architecture-independent
    (Closes: #98141).

 -- Tommi Virtanen <tv@debian.org>  Sun, 24 Jun 2001 00:11:34 +0300

ferm (1.0pl6-1) unstable; urgency=low

  * New upstream version.

 -- Tommi Virtanen <tv@debian.org>  Wed, 30 May 2001 22:29:20 +0300

ferm (1.0pl5-1) unstable; urgency=low

  * New upstream version.

 -- Tommi Virtanen <tv@debian.org>  Thu, 17 May 2001 21:20:17 +0300

ferm (1.0pl3-1) unstable; urgency=low

  * New upstream version.

 -- Tommi Virtanen <tv@debian.org>  Thu, 10 May 2001 20:43:12 +0300

ferm (1.0pl1-1) unstable; urgency=low

  * New upstream version.
  * Fixed a small grammar error in description.

 -- Tommi Virtanen <tv@debian.org>  Sat,  5 May 2001 00:54:53 +0300

ferm (0.0.18-1) unstable; urgency=low

  * New upstream version, includes fix for MASQERADE typo (Closes:
    #94720)
  * Fix cut-and-pasto, section should be net.

 -- Tommi Virtanen <tv@debian.org>  Sun, 22 Apr 2001 22:10:29 +0300

ferm (0.0.17-1) unstable; urgency=low

  * Initial version (Closes: #93154)

 -- Tommi Virtanen <tv@debian.org>  Sat,  7 Apr 2001 00:18:15 +0300

